package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.service.query.CourseQueryParams;
import com.qmth.qrzk.repository.user.model.Course;

@Component("courseMapper")
public interface CourseMapper extends CommonMapper{

	public List<Course> findCouseByCourseId(List<Integer> ls);
	
	public List<Course> queryCourses(CourseQueryParams params);
	
	public int queryCoursesCount(CourseQueryParams params);
	
	public Course findById(int courseId);
	
	public List<Course> findCourseByUserId(int userId);
	
}
